
Redmine - Feature #41937

Enable browser autocomplete for login input fields

2024-12-04 10:35 - Thomas Butz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 5.1.5   

Resolution: Fixed   

Description

Loosely related to #41927: We're also missing any kind of autocomplete attributes for the username and password inputs.

We should set autocomplete to username and current-password respectively.

Related issues:

Related to Redmine - Feature #41927: Enable browser autocomplete for 2FA inpu... Closed

Associated revisions

Revision 23361 - 2024-12-08 07:40 - Go MAEDA

Enable browser autocomplete for login input fields (#41937).

Contributed by Thomas Butz (user:otbutz).

Revision 23364 - 2024-12-09 00:36 - Marius BĂLTEANU

Merge r23361 from trunk to 6.0-stable (#41937).

Revision 23365 - 2024-12-09 00:37 - Marius BĂLTEANU

Merge r23361 from trunk to 5.1-stable (#41937).

History

#1 - 2024-12-05 06:44 - Go MAEDA

- File 41937.patch added

- Target version set to 6.1.0

Setting the target version to 6.1.0.

#2 - 2024-12-05 08:53 - Go MAEDA

- Related to Feature #41927: Enable browser autocomplete for 2FA input fields added

#3 - 2024-12-08 07:41 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23361.

#4 - 2024-12-09 00:39 - Marius BĂLTEANU

- Target version changed from 6.1.0 to 5.1.5

I've merged this to stable branches because it is a small change and quite useful.

Files

41937.patch 7.39 KB 2024-12-05 Go MAEDA
https://www.redmine.org/issues/41927
https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/autocomplete#username
https://developer.mozilla.org/en-US/docs/Web/HTML/Attributes/autocomplete#current-password
https://www.redmine.org/projects/redmine/repository/svn/revisions/23361
http://www.tcpdf.org

